Skip to content

License ​

7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getAutoActiveGETGet license auto active
modifyAutoActivePOSTModify license auto active
getAutoRenewGETGet license auto renew
modifyAutoRenewPOSTModify license auto renew
getLicenseNumByCategoryGETGet available license num
getSiteAutoRenewGETGet site license auto renew
modifySiteAutoRenewPOSTModify site license auto renew

getAutoActive ​

GET /openapi/v1/{omadacId}/license/auto-active

Get license auto active

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getAutoActive"
}
Details, permissions and error codes

Get license auto active.
The interface requires one of the permissions:
Global License Manager View Only

modifyAutoActive ​

POST /openapi/v1/{omadacId}/license/auto-active

Modify license auto active

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema LicenseAutoActiveOpenApiVO

FieldTypeRequiredDescription
autoActivebooleanyes
json
// omada_call_operation
{
  "operationId": "modifyAutoActive",
  "body": "{...}"
}
Details, permissions and error codes

Modify license auto active.
The interface requires one of the permissions:
Site Bind/Unbind License Manager Modify

getAutoRenew ​

GET /openapi/v1/{omadacId}/license/auto-renew

Get license auto renew

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getAutoRenew"
}
Details, permissions and error codes

Get license auto renew.
The interface requires one of the permissions:
Global License Manager View Only

modifyAutoRenew ​

POST /openapi/v1/{omadacId}/license/auto-renew

Modify license auto renew

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema LicenseAutoRenewOpenApiVO

FieldTypeRequiredDescription
autoRenewbooleanyesAuto-Renewal,the licenses for active devices will be automatically renewed when they expire.
json
// omada_call_operation
{
  "operationId": "modifyAutoRenew",
  "body": "{...}"
}
Details, permissions and error codes

Modify license auto renew.
The interface requires one of the permissions:
Site Bind/Unbind License Manager Modify

getLicenseNumByCategory ​

GET /openapi/v1/{omadacId}/licenses/available-license

Get available license num

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
categoryquerystringyesIt should be a value as follows: basic; ap; l2Switch; l3Switch; gateway
json
// omada_call_operation
{
  "operationId": "getLicenseNumByCategory",
  "params": {
    "category": "<category>"
  }
}
Details, permissions and error codes

Get available license number of the specified device category
The interface requires one of the permissions:
Global License Manager View Only
Site Bind/Unbind License Manager View Only

getSiteAutoRenew ​

GET /openapi/v1/{omadacId}/sites/{siteId}/license/auto-renew

Get site license auto renew

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSiteAutoRenew",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site license auto renew.
The interface requires one of the permissions:
Global License Manager View Only

modifySiteAutoRenew ​

POST /openapi/v1/{omadacId}/sites/{siteId}/license/auto-renew

Modify site license auto renew

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema LicenseAutoRenewOpenApiVO

FieldTypeRequiredDescription
autoRenewbooleanyesAuto-Renewal,the licenses for active devices will be automatically renewed when they expire.
json
// omada_call_operation
{
  "operationId": "modifySiteAutoRenew",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site license auto renew.
The interface requires one of the permissions:
Site Bind/Unbind License Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.